<div class='card site-card'>
  <Browse::Site::Cover @feature={{@feature}} @route={{@route}}>
    {{#if this.position.hasPosition}}
      <div class='text-distance'>
        {{nice-distance @feature.position this.position.center}}
      </div>
    {{/if}}

    <VisibilityIcon @value={{@feature.visibility}} />

    {{#if (gt @feature.issueCount 0)}}
      <span class='float-end text-warning me-1 icon-has-issues' title='Has issues'>
        <FaIcon @icon='exclamation-triangle' />
      </span>
    {{/if}}
  </Browse::Site::Cover>

  <div class='card-body'>
    {{#if @feature.canEdit}}
      <div class='map-options {{if this.isAdminView "is-open"}}' {{did-insert this.setupOptions}}>
        <div class='float-end'>
          <button type='button' class='btn btn-white btn-extend ps-0 pe-0 {{if this.isAdminView "rotate"}}' {{on 'click' this.showAdmin}}>
            <FaIcon @icon='ellipsis-h' />
          </button>
        </div>

        <div class='dropdown-menu {{if this.isAdminView "d-block"}}'>
          <ModelActions::Record @record={{@feature}} />

          {{#if @onDelete}}
            <div class='dropdown-divider'></div>

            <button type='button' class='dropdown-item dropdown-item-delete btn-delete text-danger' {{on 'click' this.deleteItem}}>
              <FaIcon @icon='trash' />
              {{capitalize (t 'delete')}}
            </button>
          {{/if}}
        </div>
      </div>
    {{/if}}

    <div class='site-special'>
      <Browse::Icon::List @icons={{@feature.icons}} class='pb-2 pt-1' />
    </div>

    {{yield}}

    <div class='site-description'>
      <Article::FirstParagraph @contentBlocks={{@feature.contentBlocks}} />
    </div>
  </div>
</div>